Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002583TestLinkUsers and Rightspublic2009-06-08 19:362010-05-01 20:35
Reporterpostb99 
Assigned Tomhavlat 
PrioritylowSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.5 
Fixed in Version1.9 Beta 2 
Summary0002583: Lost password feature : not very user-friendly password is sent
DescriptionMaybe related bug : http://www.testlink.org/mantis/view.php?id=383 [^]

It seems that with a fresh default install the "shorter passwords" feature isn't active : passwords are lengthy (32 characters or so) and look like md5 strings. Some users can feel afraid of security risk, believing they're sent the real md5 hash, what they aren't.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3
PHP Version5.2.9
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0007215)
mhavlat (reporter)
2009-06-09 04:23

We can generate shorter one ... 10 chars (?)
+ improve description

low priority
(0007216)
mhavlat (reporter)
2009-06-09 04:25

BTW you are right ... Asiel closed similar request without fixing.
(0007225)
postb99 (reporter)
2009-06-09 19:29

Yes, 10 chars would be nice.

For example generate passwords this way : take 5 random characters out of [a-z|A-Z] range and 5 out of [0-9] range.
(0007226)
postb99 (reporter)
2009-06-09 19:33

I tested again with 1.8.2 version and got this e-mail :

Votre nouveau mot de passe TestLink est :
a-sA.m:$cZJL
Si vous avez
quelque problème que ce soit prochainement, merci de contacter votre
administrateur.

So the password is "a-sA.m:$cZJL" which is fine but the e-mail formatting is not so fine.

I think the issue can be closed since 1.7 branch won't evolve... I'm sorry.

Wondering about the e-mail formatting (low priority too, right ?).
(0007273)
mhavlat (reporter)
2009-06-18 05:22

Modified
tags to EOL as the body of email is simple text and not HTML. Nothing else in scope. Resolved.

- Issue History
Date Modified Username Field Change
2009-06-08 19:36 postb99 New Issue
2009-06-08 19:36 postb99 Browser => Firefox 3
2009-06-08 19:36 postb99 PHP Version => 5.2.9
2009-06-09 04:23 mhavlat Note Added: 0007215
2009-06-09 04:25 mhavlat Note Added: 0007216
2009-06-09 04:25 mhavlat Priority normal => low
2009-06-09 04:25 mhavlat Severity feature request => text
2009-06-09 19:29 postb99 Note Added: 0007225
2009-06-09 19:33 postb99 Note Added: 0007226
2009-06-10 22:46 mhavlat Status new => assigned
2009-06-10 22:46 mhavlat Assigned To => mhavlat
2009-06-18 05:22 mhavlat Note Added: 0007273
2009-06-18 05:22 mhavlat Status assigned => resolved
2009-06-18 05:22 mhavlat Fixed in Version => 1.9 (DEV)
2009-06-18 05:22 mhavlat Resolution open => fixed
2010-05-01 20:35 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker